Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Updates the metadata of an existing file object.
curl --request PATCH \
--url https://api.orq.ai/v2/files/{file_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_name": "<string>"
}
'{
"_id": "<string>",
"bytes": 123,
"created": "<string>",
"file_name": "<string>",
"purpose": "<string>",
"workspace_id": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the file
1Was this page helpful?
curl --request PATCH \
--url https://api.orq.ai/v2/files/{file_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_name": "<string>"
}
'{
"_id": "<string>",
"bytes": 123,
"created": "<string>",
"file_name": "<string>",
"purpose": "<string>",
"workspace_id": "<string>"
}